=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DESTDIR=$(shell pwd)/debian/qubes-core-agent

%:
	dh $@ 

override_dh_auto_build:
	make all

override_dh_auto_install:
	make install-common install-deb
	make -C qrexec install

override_dh_fixperms:
	dh_fixperms -a -Xqfile-unpacker

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade
