=== debian/control ===
Source: qubes-core-agent
Section: admin
Priority: extra
Maintainer: Davíð Steinn Geirsson <david@dsg.is>
Build-Depends: qubes-linux-utils, python, debhelper, quilt, libxen-dev
Standards-Version: 3.9.3
Homepage: http://www.qubes-os.org
Vcs-Git: git://git.qubes-os.org/marmarek/core-agent-linux.git

Package: qubes-core-agent
Architecture: any
Depends: qubes-linux-utils, qubes-core-vchan-xen, xenstore-utils, ethtool, python2.7, ${shlibs:Depends}, ${misc:Depends}
Conflicts: qubes-core-agent-linux
Description: Qubes core agent
 This package includes various daemons necessary for qubes domU support,
 such as qrexec.
