=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,4 @@
 
 override_dh_installinit:
 	dh_installinit --no-restart-on-upgrade
+
