=== debian/changelog ===
qubes-core-agent (2.1.45jessie1) jessie; urgency=medium

  * Build for jessie

 -- Marek Marczykowski-Górecki <user@devel18>  Mon, 01 Dec 2014 22:41:03 +0000

qubes-core-agent (2.1.45) jessie; urgency=medium

  * debian: fix generation of apt sources list file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 01 Dec 2014 22:32:29 +0100

qubes-core-agent (2.1.44) jessie; urgency=medium

  [ Jason Mehring ]
  * Allow hyphenated distro names in tinyproxy filter
  * Change condition test to compare to a link "-L"
  * debian: add xen-utils-common as a dependancy to allow Debian proxies
  * debian: Added maintainers scripts (pre / postinit + rm) - Currently
    in debug mode
  * debian: preinst needs a group and force no password entry on adduser
  * debian: Added less restrictive filter option for debian packages
    Sites like sourceforge append ?downloadxxx to end
  * debian: added new depends
  * debian: force shell to be bash since its default is dash and many
    qubes scripts rely on bash and will break in dash and added
    tinyproxy user

  [ HW42 ]
  * move fedora specific stuff to install-rh target
  * don't track debina/files (since it is autogenerated)
  * use systemd in debian
  * install iptables/forwarding for debian
  * various patches for debian
  * improve update of /etc/hosts
  * make source.list multiarch compatible
  * add xserver-xorg-video-dummy to the dependencies list of qubes-core-
    agent
  * dispvm-presun.sh needs bash
  * use sleep instead os usleep since it is more portable
  * debian: chown /home_volatile/user in posinst
  * fix xenstore-read path in network-proxy-setup.sh for debian
  * debian: add dependency on xen-utils since it's needed for
    proxy/netvm
  * debian: add support for qubes appmenus

  [ Marek Marczykowski-Górecki ]
  * debian: fix initialization of /etc/hosts

  [ Jason Mehring ]
  * debian: set -e added in place of set -x
  * debian: Made debian proxy filter rules more restrictive
  * debian: Cleanup
  * debian: Prepend package name to maintainers scripts
  * debian: Add qubes-update-check for Debian
  * debian: Revert back to original NetworkManager, ModemManager service
    names
  * debian: apt-get needs to update first
  * debian: Remove absolute path to xenstore-*
  * debian:  Added more dependancies
  * debian: Added postrm disable of other Qubes packages
  * debian: Added all other outstanding triggers contained in rpm_spec
    as well as triggers if other packages get installed at a later date
    the configurations will run on them
  * debian: removed commented out depends
  * debian: Added more error reporting to track down any missing
    dependancies
  * debian:  More depends for debian as netvm and some configuration
    tweaks.

  [ Marek Marczykowski-Górecki ]
  * network: do not use ifcfg-rh NM plugin
  * network: fix NM uplink config permissions

  [ Jason Mehring ]
  * debian: Add new notification agent depends; remove other
  * debian: Added functionality to move desktop entry config files to
    /usr/share/qubes/xdg/autostart to preserve originals
  * debian:  Wrong variable name was used to create
    /usr/share/qubes/xdg/autostart

  [ Marek Marczykowski-Górecki ]
  * Fix compile flags order (-lX11 moved to the end)

  [ Jason Mehring ]
  * debian: Updated tinyproxy filter rules
  * debian: Don't display systemd info in chroot since systemd show does
    not work in chroot

  [ Marek Marczykowski-Górecki ]
  * network: fix indentation
  * Fix disabling nm-applet when NM is disabled

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 01 Dec 2014 03:57:41 +0100

qubes-core-agent (2.1.43) jessie; urgency=medium

  * Improve handling of .desktop files
  * suspend: do not disable network frontend devices
  * Handle tabs in /etc/hosts
  * Reenable imsettings service

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 18 Nov 2014 17:28:29 +0100
