=== debian/changelog ===
qubes-core-agent (2.1.53jessie1) jessie; urgency=medium

  * Build for jessie

 -- Marek Marczykowski-Górecki <user@devel18>  Sun, 01 Feb 2015 02:05:55 +0000

qubes-core-agent (2.1.53) jessie; urgency=medium

  * filecopy: fallback to "open(..., 000)" method when /proc
    inaccessible
  * network: support for not setting DNS and/or default gateway (v2)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 29 Jan 2015 03:01:19 +0100

qubes-core-agent (2.1.52) jessie; urgency=medium

  [ HW42 ]
  * don't ignore asprintf() return value

  [ Marek Marczykowski-Górecki ]
  * network: support for not setting DNS and/or default gateway

  [ Olivier MEDOC ]
  * archlinux: fix new packaging requirements related to sbin, lib64,
    run ...
  * archlinux: align with fedora changes related to imsettings

  [ Marek Marczykowski-Górecki ]
  * fedora: reduce code duplication in systemd triggers
  * fedora: reload systemd only once
  * systemd: allow to start cron daemon (#909)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 27 Jan 2015 01:07:52 +0100

qubes-core-agent (2.1.51) jessie; urgency=medium

  * fedora: Fix iptables config installation one more time
  * version 2.1.49.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Jan 2015 06:39:11 +0100

qubes-core-agent (2.1.50) jessie; urgency=medium

  * filecopy: prevent files/dirs movement outside incoming directory
    during transfer

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 18 Jan 2015 18:07:07 +0100

qubes-core-agent (2.1.49) jessie; urgency=medium

  * fedora: Fix iptables config install script

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 15 Jan 2015 03:50:13 +0100

qubes-core-agent (2.1.48) jessie; urgency=medium

  [ Jason Mehring ]
  * fc21: iptables configurations conflict with fc21 yum package manager
  * fc21:  Remove left-over code comment

  [ Marek Marczykowski-Górecki ]
  * fedora: Add security-testing repo definition

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 12 Jan 2015 21:12:36 +0100

qubes-core-agent (2.1.47) jessie; urgency=medium

  * network: set uplink configuration based on MAC (NetworkManager)
  * network: fix NM config preparation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 22 Dec 2014 00:05:24 +0100

qubes-core-agent (2.1.46) jessie; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: add missing python-gi to dependencies
  * debian: remove obsolete code from postinst script
  * debian: fix service name in postinst script
  * Update update-proxy rules for debian security fixes repo

  [ HW42 ]
  * debian: move not strictly required packages to Recommends-Section.
  * debian: remove unneeded acpid dependency

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 16 Dec 2014 00:54:47 +0100
